<template>
  <div id="contenedor">
    <div v-for="objPersonaje in personajes"
      :key="objPersonaje.Name"
    >
      <tarjeta-personaje :personaje="objPersonaje" />
    </div>

    <!--
      <v-container
      v-for="objPersonaje in personajes"
      :key="objPersonaje.Name"
      class="grey lighten-5 mb-6"
    >
      <v-row
        no-gutters
        style="height: 150px;"
      >
        <v-col
          v-for="n in 3"
          :key="n"
        >
          <tarjeta-personaje :personaje="objPersonaje" />
        </v-col>
      </v-row>
    </v-container>
    -->
  </div>
</template>

<script>
import TarjetaPersonaje from "./TarjetaPersonaje.vue";
import store from "../store/index.js";

export default {
  components: {
    TarjetaPersonaje,
  },
  created: () => {
    //dispatch llama a las acciones del store
    store.dispatch("getPersonajes");
    console.log(store.state.personajes);
  },
  computed: {
    personajes: () => {
      return store.state.personajes;
    },
  },
};
</script>

<style>
#contenedor{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}
</style>